| openPilotLog

Public Member Functions | Public Attributes | List of all members
UserDataState Struct Reference

The UserDateState struct caches the current number of entries in relevant database tables for fast access. More...

`#include <adatabase.h>`

## Public Member Functions
| UserDataState (int numTails_, int numPilots_)
bool | operator== (const UserDataState &other)
bool | operator!= (const UserDataState &other)

## Public Attributes
int | numTails
int | numPilots

## Detailed Description

The UserDateState struct caches the current number of entries in relevant database tables for fast access.

Parameters

  numTails | - Number of tails in the database
  numPilots | - Number of pilots in the database

The documentation for this struct was generated from the following file:

- src/database/adatabase.h